Subject: Re: [PATCH] d80211: fix scan issues with new ops

From: David Kimdon <[email-masked]>
Date: Sun, 19 Nov 2006 08:55:21 -0800

On Sun, Nov 19, 2006 at 05:34:49PM +0100, Johannes Berg wrote:
> On Sun, 2006-11-19 at 07:56 -0800, David Kimdon wrote:
> 
> > What is wrong with the driver setting the function pointer to NULL for
> > the cards that do not support scanning?  Where does this requirment
> > come from that the function pointers in struct ieee80211_wiphy be
> > identical for all cards?
> 
> Well I want to allow drivers to make assign the 33 function pointers in
> a static structure, and differences between cards must then be handled
> in the non-static part.

ok.  I am concerned that making this split between per driver and per
card is difficult to get right.  Setting or not setting a function
pointer for an operation is fairly standard practice and I don't see
the value in introducing yet another way to indicate support.

-David